libetonyek::IWORKTableData Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKTableData Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKTableData ()

## Public Attributes
IWORKColumnSizes_t | m_columnSizes
IWORKRowSizes_t | m_rowSizes
unsigned | m_column
unsigned | m_row
unsigned | m_numColumns
unsigned | m_numRows
boost::optional< unsigned > | m_columnSpan
boost::optional< unsigned > | m_rowSpan
boost::optional< unsigned > | m_cellMove
boost::optional< std::string > | m_content
boost::optional< IWORKFormula > | m_formula
IWORKGridLineMap_t | m_horizontalLines
IWORKGridLineMap_t | m_verticalLines
IWORKStylePtr_t | m_style
IWORKCellType | m_type

## Constructor & Destructor Documentation

## ◆ IWORKTableData()

libetonyek::IWORKTableData::IWORKTableData | ( |  | ) |

## Member Data Documentation

## ◆ m_cellMove

boost::optional<unsigned> libetonyek::IWORKTableData::m_cellMove

## ◆ m_column

unsigned libetonyek::IWORKTableData::m_column

## ◆ m_columnSizes

IWORKColumnSizes_t libetonyek::IWORKTableData::m_columnSizes

## ◆ m_columnSpan

boost::optional<unsigned> libetonyek::IWORKTableData::m_columnSpan

## ◆ m_content

boost::optional<std::string> libetonyek::IWORKTableData::m_content

## ◆ m_formula

boost::optional<IWORKFormula> libetonyek::IWORKTableData::m_formula

## ◆ m_horizontalLines

IWORKGridLineMap_t libetonyek::IWORKTableData::m_horizontalLines

## ◆ m_numColumns

unsigned libetonyek::IWORKTableData::m_numColumns

## ◆ m_numRows

unsigned libetonyek::IWORKTableData::m_numRows

## ◆ m_row

unsigned libetonyek::IWORKTableData::m_row

## ◆ m_rowSizes

IWORKRowSizes_t libetonyek::IWORKTableData::m_rowSizes

## ◆ m_rowSpan

boost::optional<unsigned> libetonyek::IWORKTableData::m_rowSpan

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKTableData::m_style

## ◆ m_type

IWORKCellType libetonyek::IWORKTableData::m_type

## ◆ m_verticalLines

IWORKGridLineMap_t libetonyek::IWORKTableData::m_verticalLines

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp